diff --git a/external/fmt/test/noexception-test.cc b/external/fmt/test/noexception-test.cc
new file mode 100644
index 00000000..bf3472fd
--- /dev/null
+++ b/external/fmt/test/noexception-test.cc
@@ -0,0 +1,18 @@
+// Formatting library for C++ - Noexception tests
+//
+// Copyright (c) 2012 - present, Victor Zverovich
+// All rights reserved.
+//
+// For the license information refer to format.h.
+
+#include "fmt/args.h"
+#include "fmt/chrono.h"
+#include "fmt/color.h"
+#include "fmt/compile.h"
+#include "fmt/core.h"
+#include "fmt/format.h"
+#include "fmt/os.h"
+#include "fmt/ostream.h"
+#include "fmt/printf.h"
+#include "fmt/ranges.h"
+#include "fmt/xchar.h"
diff --git a/external/fmt/test/os-test.cc b/external/fmt/test/os-test.cc
index 186198ef..5b5ef76e 100644
--- a/external/fmt/test/os-test.cc
+++ b/external/fmt/test/os-test.cc
@@ -19,20 +19,21 @@
 #endif
 
 using fmt::buffered_file;
-using fmt::error_code;
+using testing::HasSubstr;
+using wstring_view = fmt::basic_string_view<wchar_t>;
 
 #ifdef _WIN32
 
 #  include <windows.h>
 
-TEST(UtilTest, UTF16ToUTF8) {
-  std::string s = "ёжик";
+TEST(util_test, utf16_to_utf8) {
+  auto s = std::string("ёжик");
   fmt::detail::utf16_to_utf8 u(L"\x0451\x0436\x0438\x043A");
   EXPECT_EQ(s, u.str());
   EXPECT_EQ(s.size(), u.size());
 }
 
-TEST(UtilTest, UTF16ToUTF8EmptyString) {
+TEST(util_test, utf16_to_utf8_empty_string) {
   std::string s = "";
   fmt::detail::utf16_to_utf8 u(L"");
   EXPECT_EQ(s, u.str());
@@ -40,70 +41,78 @@ TEST(UtilTest, UTF16ToUTF8EmptyString) {
 }
 
 template <typename Converter, typename Char>
-void check_utf_conversion_error(
-    const char* message,
-    fmt::basic_string_view<Char> str = fmt::basic_string_view<Char>(0, 1)) {
+void check_utf_conversion_error(const char* message,
+                                fmt::basic_string_view<Char> str =
+                                    fmt::basic_string_view<Char>(nullptr, 1)) {
   fmt::memory_buffer out;
   fmt::detail::format_windows_error(out, ERROR_INVALID_PARAMETER, message);
-  fmt::system_error error(0, "");
+  auto error = std::system_error(std::error_code());
   try {
     (Converter)(str);
-  } catch (const fmt::system_error& e) {
+  } catch (const std::system_error& e) {
     error = e;
   }
-  EXPECT_EQ(ERROR_INVALID_PARAMETER, error.error_code());
-  EXPECT_EQ(fmt::to_string(out), error.what());
+  EXPECT_EQ(ERROR_INVALID_PARAMETER, error.code().value());
+  EXPECT_THAT(error.what(), HasSubstr(fmt::to_string(out)));
 }
 
-TEST(UtilTest, UTF16ToUTF8Error) {
+TEST(util_test, utf16_to_utf8_error) {
   check_utf_conversion_error<fmt::detail::utf16_to_utf8, wchar_t>(
       "cannot convert string from UTF-16 to UTF-8");
 }
 
-TEST(UtilTest, UTF16ToUTF8Convert) {
+TEST(util_test, utf16_to_utf8_convert) {
   fmt::detail::utf16_to_utf8 u;
-  EXPECT_EQ(ERROR_INVALID_PARAMETER, u.convert(fmt::wstring_view(0, 1)));
+  EXPECT_EQ(ERROR_INVALID_PARAMETER, u.convert(wstring_view(nullptr, 1)));
   EXPECT_EQ(ERROR_INVALID_PARAMETER,
-            u.convert(fmt::wstring_view(L"foo", INT_MAX + 1u)));
-}
-
-TEST(UtilTest, FormatWindowsError) {
-  LPWSTR message = 0;
-  FormatMessageW(FORMAT_MESSAGE_ALLOCATE_BUFFER | FORMAT_MESSAGE_FROM_SYSTEM |
-                     FORMAT_MESSAGE_IGNORE_INSERTS,
-                 0, ERROR_FILE_EXISTS,
-                 MAKELANGID(LANG_NEUTRAL, SUBLANG_DEFAULT),
-                 reinterpret_cast<LPWSTR>(&message), 0, 0);
-  fmt::detail::utf16_to_utf8 utf8_message(message);
+            u.convert(wstring_view(L"foo", INT_MAX + 1u)));
+}
+
+TEST(os_test, format_std_error_code) {
+  EXPECT_EQ("generic:42",
+            fmt::format(FMT_STRING("{0}"),
+                        std::error_code(42, std::generic_category())));
+  EXPECT_EQ("system:42",
+            fmt::format(FMT_STRING("{0}"),
+                        std::error_code(42, fmt::system_category())));
+  EXPECT_EQ("system:-42",
+            fmt::format(FMT_STRING("{0}"),
+                        std::error_code(-42, fmt::system_category())));
+}
+
+TEST(os_test, format_windows_error) {
+  LPWSTR message = nullptr;
+  auto result = FormatMessageW(
+      FORMAT_MESSAGE_ALLOCATE_BUFFER | FORMAT_MESSAGE_FROM_SYSTEM |
+          FORMAT_MESSAGE_IGNORE_INSERTS,
+      nullptr, ERROR_FILE_EXISTS, MAKELANGID(LANG_NEUTRAL, SUBLANG_DEFAULT),
+      reinterpret_cast<LPWSTR>(&message), 0, nullptr);
+  fmt::detail::utf16_to_utf8 utf8_message(wstring_view(message, result - 2));
   LocalFree(message);
   fmt::memory_buffer actual_message;
   fmt::detail::format_windows_error(actual_message, ERROR_FILE_EXISTS, "test");
   EXPECT_EQ(fmt::format("test: {}", utf8_message.str()),
             fmt::to_string(actual_message));
   actual_message.resize(0);
-  auto max_size = fmt::detail::max_value<size_t>();
-  fmt::detail::format_windows_error(actual_message, ERROR_FILE_EXISTS,
-                                    fmt::string_view(0, max_size));
-  EXPECT_EQ(fmt::format("error {}", ERROR_FILE_EXISTS),
-            fmt::to_string(actual_message));
 }
 
-TEST(UtilTest, FormatLongWindowsError) {
-  LPWSTR message = 0;
+TEST(os_test, format_long_windows_error) {
+  LPWSTR message = nullptr;
   // this error code is not available on all Windows platforms and
   // Windows SDKs, so do not fail the test if the error string cannot
   // be retrieved.
-  const int provisioning_not_allowed =
-      0x80284013L /*TBS_E_PROVISIONING_NOT_ALLOWED*/;
-  if (FormatMessageW(FORMAT_MESSAGE_ALLOCATE_BUFFER |
-                         FORMAT_MESSAGE_FROM_SYSTEM |
-                         FORMAT_MESSAGE_IGNORE_INSERTS,
-                     0, static_cast<DWORD>(provisioning_not_allowed),
-                     MAKELANGID(LANG_NEUTRAL, SUBLANG_DEFAULT),
-                     reinterpret_cast<LPWSTR>(&message), 0, 0) == 0) {
+  int provisioning_not_allowed = 0x80284013L;  // TBS_E_PROVISIONING_NOT_ALLOWED
+  auto result = FormatMessageW(
+      FORMAT_MESSAGE_ALLOCATE_BUFFER | FORMAT_MESSAGE_FROM_SYSTEM |
+          FORMAT_MESSAGE_IGNORE_INSERTS,
+      nullptr, static_cast<DWORD>(provisioning_not_allowed),
+      MAKELANGID(LANG_NEUTRAL, SUBLANG_DEFAULT),
+      reinterpret_cast<LPWSTR>(&message), 0, nullptr);
+  if (result == 0) {
+    LocalFree(message);
     return;
   }
-  fmt::detail::utf16_to_utf8 utf8_message(message);
+  fmt::detail::utf16_to_utf8 utf8_message(wstring_view(message, result - 2));
   LocalFree(message);
   fmt::memory_buffer actual_message;
   fmt::detail::format_windows_error(actual_message, provisioning_not_allowed,
@@ -112,20 +121,20 @@ TEST(UtilTest, FormatLongWindowsError) {
             fmt::to_string(actual_message));
 }
 
-TEST(UtilTest, WindowsError) {
-  fmt::system_error error(0, "");
+TEST(os_test, windows_error) {
+  auto error = std::system_error(std::error_code());
   try {
     throw fmt::windows_error(ERROR_FILE_EXISTS, "test {}", "error");
-  } catch (const fmt::system_error& e) {
+  } catch (const std::system_error& e) {
     error = e;
   }
   fmt::memory_buffer message;
   fmt::detail::format_windows_error(message, ERROR_FILE_EXISTS, "test error");
-  EXPECT_EQ(to_string(message), error.what());
-  EXPECT_EQ(ERROR_FILE_EXISTS, error.error_code());
+  EXPECT_THAT(error.what(), HasSubstr(to_string(message)));
+  EXPECT_EQ(ERROR_FILE_EXISTS, error.code().value());
 }
 
-TEST(UtilTest, ReportWindowsError) {
+TEST(os_test, report_windows_error) {
   fmt::memory_buffer out;
   fmt::detail::format_windows_error(out, ERROR_FILE_EXISTS, "test error");
   out.push_back('\n');
@@ -140,30 +149,24 @@ TEST(UtilTest, ReportWindowsError) {
 
 using fmt::file;
 
-// Checks if the file is open by reading one character from it.
-static bool isopen(int fd) {
+bool isclosed(int fd) {
   char buffer;
-  return FMT_POSIX(read(fd, &buffer, 1)) == 1;
-}
-
-static bool isclosed(int fd) {
-  char buffer;
-  std::streamsize result = 0;
+  auto result = std::streamsize();
   SUPPRESS_ASSERT(result = FMT_POSIX(read(fd, &buffer, 1)));
   return result == -1 && errno == EBADF;
 }
 
 // Opens a file for reading.
-static file open_file() {
+file open_file() {
   file read_end, write_end;
   file::pipe(read_end, write_end);
-  write_end.write(FILE_CONTENT, std::strlen(FILE_CONTENT));
+  write_end.write(file_content, std::strlen(file_content));
   write_end.close();
   return read_end;
 }
 
 // Attempts to write a string to a file.
-static void write(file& f, fmt::string_view s) {
+void write(file& f, fmt::string_view s) {
   size_t num_chars_left = s.size();
   const char* ptr = s.data();
   do {
@@ -175,12 +178,12 @@ static void write(file& f, fmt::string_view s) {
   } while (num_chars_left != 0);
 }
 
-TEST(BufferedFileTest, DefaultCtor) {
-  buffered_file f;
+TEST(buffered_file_test, default_ctor) {
+  auto f = buffered_file();
   EXPECT_TRUE(f.get() == nullptr);
 }
 
-TEST(BufferedFileTest, MoveCtor) {
+TEST(buffered_file_test, move_ctor) {
   buffered_file bf = open_buffered_file();
   FILE* fp = bf.get();
   EXPECT_TRUE(fp != nullptr);
@@ -189,7 +192,7 @@ TEST(BufferedFileTest, MoveCtor) {
   EXPECT_TRUE(bf.get() == nullptr);
 }
 
-TEST(BufferedFileTest, MoveAssignment) {
+TEST(buffered_file_test, move_assignment) {
   buffered_file bf = open_buffered_file();
   FILE* fp = bf.get();
   EXPECT_TRUE(fp != nullptr);
@@ -199,7 +202,7 @@ TEST(BufferedFileTest, MoveAssignment) {
   EXPECT_TRUE(bf.get() == nullptr);
 }
 
-TEST(BufferedFileTest, MoveAssignmentClosesFile) {
+TEST(buffered_file_test, move_assignment_closes_file) {
   buffered_file bf = open_buffered_file();
   buffered_file bf2 = open_buffered_file();
   int old_fd = bf2.fileno();
@@ -207,27 +210,27 @@ TEST(BufferedFileTest, MoveAssignmentClosesFile) {
   EXPECT_TRUE(isclosed(old_fd));
 }
 
-TEST(BufferedFileTest, MoveFromTemporaryInCtor) {
+TEST(buffered_file_test, move_from_temporary_in_ctor) {
   FILE* fp = nullptr;
-  buffered_file f(open_buffered_file(&fp));
+  buffered_file f = open_buffered_file(&fp);
   EXPECT_EQ(fp, f.get());
 }
 
-TEST(BufferedFileTest, MoveFromTemporaryInAssignment) {
+TEST(buffered_file_test, move_from_temporary_in_assignment) {
   FILE* fp = nullptr;
-  buffered_file f;
+  auto f = buffered_file();
   f = open_buffered_file(&fp);
   EXPECT_EQ(fp, f.get());
 }
 
-TEST(BufferedFileTest, MoveFromTemporaryInAssignmentClosesFile) {
+TEST(buffered_file_test, move_from_temporary_in_assignment_closes_file) {
   buffered_file f = open_buffered_file();
   int old_fd = f.fileno();
   f = open_buffered_file();
   EXPECT_TRUE(isclosed(old_fd));
 }
 
-TEST(BufferedFileTest, CloseFileInDtor) {
+TEST(buffered_file_test, close_file_in_dtor) {
   int fd = 0;
   {
     buffered_file f = open_buffered_file();
@@ -236,8 +239,9 @@ TEST(BufferedFileTest, CloseFileInDtor) {
   EXPECT_TRUE(isclosed(fd));
 }
 
-TEST(BufferedFileTest, CloseErrorInDtor) {
-  std::unique_ptr<buffered_file> f(new buffered_file(open_buffered_file()));
+TEST(buffered_file_test, close_error_in_dtor) {
+  auto f =
+      std::unique_ptr<buffered_file>(new buffered_file(open_buffered_file()));
   EXPECT_WRITE(
       stderr,
       {
@@ -248,10 +252,10 @@ TEST(BufferedFileTest, CloseErrorInDtor) {
         FMT_POSIX(close(f->fileno()));
         SUPPRESS_ASSERT(f.reset(nullptr));
       },
-      format_system_error(EBADF, "cannot close file") + "\n");
+      system_error_message(EBADF, "cannot close file") + "\n");
 }
 
-TEST(BufferedFileTest, Close) {
+TEST(buffered_file_test, close) {
   buffered_file f = open_buffered_file();
   int fd = f.fileno();
   f.close();
@@ -259,73 +263,109 @@ TEST(BufferedFileTest, Close) {
   EXPECT_TRUE(isclosed(fd));
 }
 
-TEST(BufferedFileTest, CloseError) {
+TEST(buffered_file_test, close_error) {
   buffered_file f = open_buffered_file();
   FMT_POSIX(close(f.fileno()));
   EXPECT_SYSTEM_ERROR_NOASSERT(f.close(), EBADF, "cannot close file");
   EXPECT_TRUE(f.get() == nullptr);
 }
 
-TEST(BufferedFileTest, Fileno) {
-  buffered_file f;
-#  ifndef __COVERITY__
-  // fileno on a null FILE pointer either crashes or returns an error.
-  // Disable Coverity because this is intentional.
-  EXPECT_DEATH_IF_SUPPORTED(
-      {
-        try {
-          f.fileno();
-        } catch (const fmt::system_error&) {
-          std::exit(1);
-        }
-      },
-      "");
-#  endif
-  f = open_buffered_file();
+TEST(buffered_file_test, fileno) {
+  auto f = open_buffered_file();
   EXPECT_TRUE(f.fileno() != -1);
   file copy = file::dup(f.fileno());
-  EXPECT_READ(copy, FILE_CONTENT);
+  EXPECT_READ(copy, file_content);
+}
+
+TEST(ostream_test, move) {
+  fmt::ostream out = fmt::output_file("test-file");
+  fmt::ostream moved(std::move(out));
+  moved.print("hello");
+}
+
+TEST(ostream_test, move_while_holding_data) {
+  {
+    fmt::ostream out = fmt::output_file("test-file");
+    out.print("Hello, ");
+    fmt::ostream moved(std::move(out));
+    moved.print("world!\n");
+  }
+  {
+    file in("test-file", file::RDONLY);
+    EXPECT_READ(in, "Hello, world!\n");
+  }
 }
 
-TEST(DirectBufferedFileTest, Print) {
-  fmt::direct_buffered_file out(
-    "test-file", fmt::file::WRONLY | fmt::file::CREATE);
-  fmt::print(out, "The answer is {}.\n", 42);
+TEST(ostream_test, print) {
+  fmt::ostream out = fmt::output_file("test-file");
+  out.print("The answer is {}.\n",
+            fmt::join(std::initializer_list<int>{42}, ", "));
   out.close();
   file in("test-file", file::RDONLY);
   EXPECT_READ(in, "The answer is 42.\n");
 }
 
-TEST(DirectBufferedFileTest, BufferBoundary) {
+TEST(ostream_test, buffer_boundary) {
   auto str = std::string(4096, 'x');
-  fmt::direct_buffered_file out(
-    "test-file", fmt::file::WRONLY | fmt::file::CREATE);
-  fmt::print(out, "{}", str);
-  fmt::print(out, "{}", str);
+  fmt::ostream out = fmt::output_file("test-file");
+  out.print("{}", str);
+  out.print("{}", str);
   out.close();
   file in("test-file", file::RDONLY);
   EXPECT_READ(in, str + str);
 }
 
-TEST(FileTest, DefaultCtor) {
+TEST(ostream_test, buffer_size) {
+  fmt::ostream out = fmt::output_file("test-file", fmt::buffer_size = 1);
+  out.print("{}", "foo");
+  out.close();
+  file in("test-file", file::RDONLY);
+  EXPECT_READ(in, "foo");
+}
+
+TEST(ostream_test, truncate) {
+  {
+    fmt::ostream out = fmt::output_file("test-file");
+    out.print("0123456789");
+  }
+  {
+    fmt::ostream out = fmt::output_file("test-file");
+    out.print("foo");
+  }
+  file in("test-file", file::RDONLY);
+  EXPECT_EQ("foo", read(in, 4));
+}
+
+TEST(ostream_test, flush) {
+  auto out = fmt::output_file("test-file");
+  out.print("x");
+  out.flush();
+  auto in = fmt::file("test-file", file::RDONLY);
+  EXPECT_READ(in, "x");
+}
+
+TEST(file_test, default_ctor) {
   file f;
   EXPECT_EQ(-1, f.descriptor());
 }
 
-TEST(FileTest, OpenBufferedFileInCtor) {
+TEST(file_test, open_buffered_file_in_ctor) {
   FILE* fp = safe_fopen("test-file", "w");
-  std::fputs(FILE_CONTENT, fp);
+  std::fputs(file_content, fp);
   std::fclose(fp);
   file f("test-file", file::RDONLY);
-  ASSERT_TRUE(isopen(f.descriptor()));
+  // Check if the file is open by reading one character from it.
+  char buffer;
+  bool isopen = FMT_POSIX(read(f.descriptor(), &buffer, 1)) == 1;
+  ASSERT_TRUE(isopen);
 }
 
-TEST(FileTest, OpenBufferedFileError) {
+TEST(file_test, open_buffered_file_error) {
   EXPECT_SYSTEM_ERROR(file("nonexistent", file::RDONLY), ENOENT,
                       "cannot open file nonexistent");
 }
 
-TEST(FileTest, MoveCtor) {
+TEST(file_test, move_ctor) {
   file f = open_file();
   int fd = f.descriptor();
   EXPECT_NE(-1, fd);
@@ -334,7 +374,7 @@ TEST(FileTest, MoveCtor) {
   EXPECT_EQ(-1, f.descriptor());
 }
 
-TEST(FileTest, MoveAssignment) {
+TEST(file_test, move_assignment) {
   file f = open_file();
   int fd = f.descriptor();
   EXPECT_NE(-1, fd);
@@ -344,7 +384,7 @@ TEST(FileTest, MoveAssignment) {
   EXPECT_EQ(-1, f.descriptor());
 }
 
-TEST(FileTest, MoveAssignmentClosesFile) {
+TEST(file_test, move_assignment_closes_file) {
   file f = open_file();
   file f2 = open_file();
   int old_fd = f2.descriptor();
@@ -352,34 +392,34 @@ TEST(FileTest, MoveAssignmentClosesFile) {
   EXPECT_TRUE(isclosed(old_fd));
 }
 
-static file OpenBufferedFile(int& fd) {
+file open_buffered_file(int& fd) {
   file f = open_file();
   fd = f.descriptor();
   return f;
 }
 
-TEST(FileTest, MoveFromTemporaryInCtor) {
+TEST(file_test, move_from_temporary_in_ctor) {
   int fd = 0xdead;
-  file f(OpenBufferedFile(fd));
+  file f(open_buffered_file(fd));
   EXPECT_EQ(fd, f.descriptor());
 }
 
-TEST(FileTest, MoveFromTemporaryInAssignment) {
+TEST(file_test, move_from_temporary_in_assignment) {
   int fd = 0xdead;
   file f;
-  f = OpenBufferedFile(fd);
+  f = open_buffered_file(fd);
   EXPECT_EQ(fd, f.descriptor());
 }
 
-TEST(FileTest, MoveFromTemporaryInAssignmentClosesFile) {
+TEST(file_test, move_from_temporary_in_assignment_closes_file) {
   int fd = 0xdead;
   file f = open_file();
   int old_fd = f.descriptor();
-  f = OpenBufferedFile(fd);
+  f = open_buffered_file(fd);
   EXPECT_TRUE(isclosed(old_fd));
 }
 
-TEST(FileTest, CloseFileInDtor) {
+TEST(file_test, close_file_in_dtor) {
   int fd = 0;
   {
     file f = open_file();
@@ -388,7 +428,7 @@ TEST(FileTest, CloseFileInDtor) {
   EXPECT_TRUE(isclosed(fd));
 }
 
-TEST(FileTest, CloseErrorInDtor) {
+TEST(file_test, close_error_in_dtor) {
   std::unique_ptr<file> f(new file(open_file()));
   EXPECT_WRITE(
       stderr,
@@ -400,10 +440,10 @@ TEST(FileTest, CloseErrorInDtor) {
         FMT_POSIX(close(f->descriptor()));
         SUPPRESS_ASSERT(f.reset(nullptr));
       },
-      format_system_error(EBADF, "cannot close file") + "\n");
+      system_error_message(EBADF, "cannot close file") + "\n");
 }
 
-TEST(FileTest, Close) {
+TEST(file_test, close) {
   file f = open_file();
   int fd = f.descriptor();
   f.close();
@@ -411,19 +451,19 @@ TEST(FileTest, Close) {
   EXPECT_TRUE(isclosed(fd));
 }
 
-TEST(FileTest, CloseError) {
+TEST(file_test, close_error) {
   file f = open_file();
   FMT_POSIX(close(f.descriptor()));
   EXPECT_SYSTEM_ERROR_NOASSERT(f.close(), EBADF, "cannot close file");
   EXPECT_EQ(-1, f.descriptor());
 }
 
-TEST(FileTest, Read) {
+TEST(file_test, read) {
   file f = open_file();
-  EXPECT_READ(f, FILE_CONTENT);
+  EXPECT_READ(f, file_content);
 }
 
-TEST(FileTest, ReadError) {
+TEST(file_test, read_error) {
   file f("test-file", file::WRONLY);
   char buf;
   // We intentionally read from a file opened in the write-only mode to
@@ -431,7 +471,7 @@ TEST(FileTest, ReadError) {
   EXPECT_SYSTEM_ERROR(f.read(&buf, 1), EBADF, "cannot read from file");
 }
 
-TEST(FileTest, Write) {
+TEST(file_test, write) {
   file read_end, write_end;
   file::pipe(read_end, write_end);
   write(write_end, "test");
@@ -439,61 +479,61 @@ TEST(FileTest, Write) {
   EXPECT_READ(read_end, "test");
 }
 
-TEST(FileTest, WriteError) {
+TEST(file_test, write_error) {
   file f("test-file", file::RDONLY);
   // We intentionally write to a file opened in the read-only mode to
   // cause error.
   EXPECT_SYSTEM_ERROR(f.write(" ", 1), EBADF, "cannot write to file");
 }
 
-TEST(FileTest, Dup) {
+TEST(file_test, dup) {
   file f = open_file();
   file copy = file::dup(f.descriptor());
   EXPECT_NE(f.descriptor(), copy.descriptor());
-  EXPECT_EQ(FILE_CONTENT, read(copy, std::strlen(FILE_CONTENT)));
+  EXPECT_EQ(file_content, read(copy, std::strlen(file_content)));
 }
 
 #  ifndef __COVERITY__
-TEST(FileTest, DupError) {
+TEST(file_test, dup_error) {
   int value = -1;
   EXPECT_SYSTEM_ERROR_NOASSERT(file::dup(value), EBADF,
                                "cannot duplicate file descriptor -1");
 }
 #  endif
 
-TEST(FileTest, Dup2) {
+TEST(file_test, dup2) {
   file f = open_file();
   file copy = open_file();
   f.dup2(copy.descriptor());
   EXPECT_NE(f.descriptor(), copy.descriptor());
-  EXPECT_READ(copy, FILE_CONTENT);
+  EXPECT_READ(copy, file_content);
 }
 
-TEST(FileTest, Dup2Error) {
+TEST(file_test, dup2_error) {
   file f = open_file();
   EXPECT_SYSTEM_ERROR_NOASSERT(
       f.dup2(-1), EBADF,
       fmt::format("cannot duplicate file descriptor {} to -1", f.descriptor()));
 }
 
-TEST(FileTest, Dup2NoExcept) {
+TEST(file_test, dup2_noexcept) {
   file f = open_file();
   file copy = open_file();
-  error_code ec;
+  std::error_code ec;
   f.dup2(copy.descriptor(), ec);
-  EXPECT_EQ(ec.get(), 0);
+  EXPECT_EQ(ec.value(), 0);
   EXPECT_NE(f.descriptor(), copy.descriptor());
-  EXPECT_READ(copy, FILE_CONTENT);
+  EXPECT_READ(copy, file_content);
 }
 
-TEST(FileTest, Dup2NoExceptError) {
+TEST(file_test, dup2_noexcept_error) {
   file f = open_file();
-  error_code ec;
+  std::error_code ec;
   SUPPRESS_ASSERT(f.dup2(-1, ec));
-  EXPECT_EQ(EBADF, ec.get());
+  EXPECT_EQ(EBADF, ec.value());
 }
 
-TEST(FileTest, Pipe) {
+TEST(file_test, pipe) {
   file read_end, write_end;
   file::pipe(read_end, write_end);
   EXPECT_NE(-1, read_end.descriptor());
@@ -502,19 +542,10 @@ TEST(FileTest, Pipe) {
   EXPECT_READ(read_end, "test");
 }
 
-TEST(FileTest, Fdopen) {
+TEST(file_test, fdopen) {
   file read_end, write_end;
   file::pipe(read_end, write_end);
   int read_fd = read_end.descriptor();
   EXPECT_EQ(read_fd, FMT_POSIX(fileno(read_end.fdopen("r").get())));
 }
-
-#  ifdef FMT_LOCALE
-TEST(LocaleTest, Strtod) {
-  fmt::locale loc;
-  const char *start = "4.2", *ptr = start;
-  EXPECT_EQ(4.2, loc.strtod(ptr));
-  EXPECT_EQ(start + 3, ptr);
-}
-#  endif
 #endif  // FMT_USE_FCNTL
